Type to search.

Cancel all active workflow executions

Base URL
https://{kibana_url}
  • POST /api/workflows/workflow/{workflowId}/executions/cancel
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Request cancellation for all non-terminal executions of the given workflow in the current space.

Required privileges

Privileges workflowsManagement:cancelExecution

Path parameters

workflowId string · max length: 255 required

Workflow ID

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Response

200

Indicates a successful response